Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2757603007: Move NG floats utility methods to the separate file (Closed)

Created:
8 months ago by Gleb Lanbin
Modified:
8 months ago
Reviewers:
cbiesinger, ikilpatrick
CC:
chromium-reviews, ojan+watch_chromium.org, pdr+renderingwatchlist_chromium.org, glebl+reviews_chromium.org, dgrogan+ng_chromium.org, atotic+reviews_chromium.org, zoltan1, blink-reviews-layout_chromium.org, szager+layoutwatch_chromium.org, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move NG floats utility methods to the separate file These methods will be used by text/block layout algorithms. BUG=635619 Review-Url: https://codereview.chromium.org/2757603007 Cr-Commit-Position: refs/heads/master@{#458145} Committed: https://chromium.googlesource.com/chromium/src/+/8b17da783915297bb8a3a46a6484b8787c7db28d

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+205 lines, -153 lines) Patch
M third_party/WebKit/Source/core/layout/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc View 3 chunks +1 line, -153 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_floating_object.h View 1 chunk +5 lines, -0 lines 1 comment Download
A third_party/WebKit/Source/core/layout/ng/ng_floats_utils.h View 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/layout/ng/ng_floats_utils.cc View 1 chunk +166 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_physical_fragment.h View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_physical_fragment.cc View 1 chunk +6 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   ios-simulator-xcode-clang   linux_chromium_chromeos_rel_ng   linux_chromium_tsan_rel_ng   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_asan_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   ios-device   cast_shell_linux   ios-device-xcode-clang   win_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   android_cronet   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator   chromium_presubmit   win_chromium_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   linux_android_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_android_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   win_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   ios-device-xcode-clang   ios-simulator-xcode-clang   ios-simulator   ios-device   mac_chromium_compile_dbg_ng   cast_shell_android   mac_chromium_rel_ng   linux_chromium_chromeos_rel_ng   cast_shell_linux   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   win_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   win_clang   android_clang_dbg_recipe   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_compile_dbg   android_cronet 

Dependent Patchsets:

Messages

Total messages: 28 (19 generated)
Gleb Lanbin
8 months ago (2017-03-17 21:01:07 UTC) #2
ikilpatrick
lgtm It also may pay to get fragmentation to work before inline, as this will ...
8 months ago (2017-03-17 21:25:24 UTC) #5
Gleb Lanbin
On 2017/03/17 21:25:24, ikilpatrick wrote: > lgtm > > It also may pay to get ...
8 months ago (2017-03-17 21:37:12 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757603007/1
8 months ago (2017-03-18 02:16:47 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/388776)
8 months ago (2017-03-18 02:25:59 UTC) #20
Gleb Lanbin
+cbiesinger for BUILD.gn
8 months ago (2017-03-18 05:21:35 UTC) #22
cbiesinger
lgtm
8 months ago (2017-03-20 16:10:10 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757603007/1
8 months ago (2017-03-20 16:10:40 UTC) #25
commit-bot: I haz the power
8 months ago (2017-03-20 19:14:49 UTC) #28
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/8b17da783915297bb8a3a46a6484...

Powered by Google App Engine
This is Rietveld efc10ee0f